Subject: Help with returned mail
From: "Michael B" <[email-masked]>
To: "Cyndthia Matheny" <[email-masked]>
Date: Tue, 14 Feb 2017 10:31:55 -0500

Hello Cyndi.
I need help with an address (shown below). I received an invoice back from a customer as Insufficient Address. Also, I checked the tracking on the posters and those are on their way back to us as well. We used this address for their last order and nothing was returned. I checked the address in the Zip Code search and it shows it as a good address/zip. I can reship these but need to know if there are corrections that need to be made first. Please let me know asap.

MARY SPEGAL
THOMPSON TOWER APARTMENTS
27727 MICHIGAN AVE
INKSTER, MI 48141-3615

Thank you,
Michael B
LLPS